Package org.apache.sysds.lops

## Enum DeCompression.CompressConfig

- java.lang.Object
- - java.lang.Enum<DeCompression.CompressConfig>
  - - org.apache.sysds.lops.DeCompression.CompressConfig

All Implemented Interfaces:
  `Serializable`, `Comparable<DeCompression.CompressConfig>`

Enclosing class:
  DeCompression

    public static enum DeCompression.CompressConfig
    extends Enum<DeCompression.CompressConfig>

### Enum Constant Summary

Enum Constants
`AUTO`
`FALSE`
`TRUE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isEnabled()`
`static DeCompression.CompressConfig` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DeCompression.CompressConfig[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TRUE

    public static final DeCompression.CompressConfig TRUE

#### FALSE

    public static final DeCompression.CompressConfig FALSE

#### AUTO

    public static final DeCompression.CompressConfig AUTO

### Method Detail

#### values

    public static DeCompression.CompressConfig[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DeCompression.CompressConfig c : DeCompression.CompressConfig.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DeCompression.CompressConfig valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isEnabled

    public boolean isEnabled()